RUN-PARTS(8)

NOME
run-parts - corre scripts ou programas num directório

SINOPSE

run-parts [--test] [--verbose] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argumento] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTÓRIO

run-parts -V

DESCRIÇÃO

run-parts corre todos os ficheiros executáveis chamados dentro dos limites descritos em baixo, encontrados no directório directório. Os outros ficheiros e directórios são ignorados em silêncio. Se nenhuma das opções --lsbsysinit ou --regex for indicada, então os nomes devem consistir inteiramente de letras ASCII maiúsculas ou minúsculas números ASCII, underscores do ASCII, e traços menos (-) do ASCII. Se a opção --lsbsysinit for usada, então os nomes não podem terminar em .dpkg-old nem .dpkg-dist nem .dpkg-new nem .dpkg-tmp, e têm de pertencer a um ou mais dos seguintes 'namespaces': o namespace atribuído a LANANA (^[a-z0-9]+$); os namespaces hierárquicos e reservados LSB (^_?([a-z0-9_.]+-)+[a-z0-9]+$); e o namespace do script cron de Debian (^[a-zA-Z0-9_-]+$). Se a opção --regex for usada, os nomes têm de corresponder à extensão regular extensa e personalizada especificada como argumento dessa opção. OS ficheiros serão executados em ordem léxica (de acordo com as regras de ordenação de caracteres do C/POSIX) dos seus nomes a menos que a opção --reverse seja usada, o que nesse caso serão executados pela ordem oposta.

OPÇÕES

--test
    escreve os nomes dos scripts que deveriam ser executados, mas na realidade não os executa.

--list
    print the names of the all matching files (not limited to executables), but don't actually run them. This option cannot be used with --test.

-v, --verbose
    escreve o nome de cada script no stderr antes de correr.

--report
    semelhante a --verbose, mas apenas escreve os nomes dos scripts que produzem resultados (output). O nome do script é escrito para qualquer um dos stdout ou stderr onde o script esteja programado para escrever primeiro.

--reverse
    reverte a ordem de execução dos scripts.

--exit-on-error
    termina assim que um script retorne com um código de terminar de não-zero.

--lsbsysinit
    usa namespaces LSB em vez do comportamento clássico.

--new-session
    corre cada script numa sessão de processo separado. Se usar esta opção, matar o run-parts não irá terminar o script a correr presentemente, este irá correr até o seu trabalho estar completo.

--regex=RE
    valida nomes de ficheiros contra a expressão regular extensa e personalizada RE. Veja a secção EXEMPLOS para um exemplo.

-u, --umask=umask
    define a umask para umask antes de correr os scripts. umask deve ser especificado em octal. Por predefinição o umask é definido para 022.

-a, --arg=argumento
    passa argumento aos scripts. Use --arg uma vez por cada argumento que deseja passar.

--  especifica que é o fim das opções. Qualquer nome de ficheiro após -- não será interpretado como uma opção mesmo que comece com um hífen.

-h, --help
    mostra informação de utilização e termina.

-V, --version
    mostra a versão e o copyright e termina.

EXEMPLOS

Escreve os nomes de todos os ficheiros em /etc que começam com um 'p' e terminam com um 'd':

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT

Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts é software livre; veja a GNU General Public License versão 2 ou mais recente para condições ao copiar. Não tem garantia.